PHP Manual
Prev |  | Next

# input_get

(no version information, might be only in CVS)

input_get -- Gets variable from outside PHP and optionally filters it

## Description

mixed input_get ( int type, string variable_name [, int filter [, mixed flags [, string charset]]] )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

type

  One of `INPUT_GET`, `INPUT_POST`, `INPUT_COOKIE`, `INPUT_SERVER`, `INPUT_ENV`, `INPUT_SESSION` (not implemented yet) and 99 (serves for REQUEST for now).

variable_name

  Name of a variable to get.

filter

  Filter to apply. Defaults to `FILTER_DEFAULT`.

flags

  Associative array of options or bitwise disjunction of flags. If filter accepts options, flags can be provided in "flags" field of array.

charset

  Character set used for filtering. Currently no filter uses this parameter.

## Return Values

Value of the requested variable on success, `FALSE` if the filter fails, or `NULL` if the variable_name variable is not set.

## Examples

Example 1. A input_get() example

`<?php $search_html = input_get(INPUT_GET, 'search', FILTER_SANITIZE_SPECIAL_CHARS); $search_url = input_get(INPUT_GET, 'search', FILTER_SANITIZE_ENCODED); echo "You have searched for $search_html.\n"; echo "<a href='?search=$search_url'>Search again.</a>"; ?>`

The above example will output something similar to:

    You have searched for Me &#38; son.
    <a href='?search=Me%20%26%20son'>Search again.</a>

## See Also

filter_data()

Prev | Home | Next
input_get_args | Up | input_has_variable